> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get metadata overview

> Returns all available record types and supported query parameters for session analysis.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/account-billing/session-analysis.yml get /session_analysis/metadata
openapi: 3.1.0
info:
  title: Telnyx Session Analysis API
  version: 2.0.0
  description: API for Session Analysis.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /session_analysis/metadata:
    get:
      tags:
        - Session Analysis
      summary: Get metadata overview
      description: >-
        Returns all available record types and supported query parameters for
        session analysis.
      operationId: GetSessionAnalysisMetadata
      responses:
        '200':
          description: Metadata overview
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetadataOverviewResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionAnalysisErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionAnalysisErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const metadata = await client.sessionAnalysis.metadata.retrieve();

            console.log(metadata.meta);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            metadata = client.session_analysis.metadata.retrieve()
            print(metadata.meta)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tmetadata, err := client.SessionAnalysis.Metadata.Get(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", metadata.Meta)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.sessionanalysis.metadata.MetadataRetrieveParams;

            import
            com.telnyx.sdk.models.sessionanalysis.metadata.MetadataRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    MetadataRetrieveResponse metadata = client.sessionAnalysis().metadata().retrieve();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            metadata = telnyx.session_analysis.metadata.retrieve

            puts(metadata)
        - lang: CLI
          source: |-
            telnyx session-analysis:metadata retrieve \
              --api-key 'My API Key'
components:
  schemas:
    MetadataOverviewResponse:
      type: object
      required:
        - record_types
        - query_parameters
        - meta
      properties:
        record_types:
          type: array
          items:
            $ref: '#/components/schemas/RecordTypeInfo'
        query_parameters:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/QueryParameterInfo'
          description: Map of supported query parameter names to their definitions.
        meta:
          $ref: '#/components/schemas/MetadataInfo'
    SessionAnalysisErrorResponse:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/SessionAnalysisError'
    RecordTypeInfo:
      type: object
      required:
        - record_type
        - aliases
        - product
        - event
        - description
        - child_relationships
        - parent_relationships
      properties:
        record_type:
          type: string
        aliases:
          type: array
          items:
            type: string
        product:
          type: string
        event:
          type: string
        description:
          type: string
        child_relationships:
          type: array
          items:
            $ref: '#/components/schemas/ChildRelationshipInfo'
        parent_relationships:
          type: array
          items:
            $ref: '#/components/schemas/ParentRelationshipInfo'
    QueryParameterInfo:
      type: object
      required:
        - type
        - default
        - description
      properties:
        type:
          type: string
        default:
          type: string
        min:
          type:
            - integer
            - 'null'
        max:
          type:
            - integer
            - 'null'
        enum_values:
          type:
            - array
            - 'null'
          items:
            type: string
        description:
          type: string
    MetadataInfo:
      type: object
      required:
        - total_record_types
        - last_updated
      properties:
        total_record_types:
          type: integer
        last_updated:
          type: string
          format: date-time
    SessionAnalysisError:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
        detail:
          type: string
    ChildRelationshipInfo:
      type: object
      required:
        - relationship_type
        - via
        - cost_rollup
        - traversal_enabled
        - description
        - child_product
        - child_event
        - child_record_type
      properties:
        relationship_type:
          type: string
        via:
          $ref: '#/components/schemas/MetadataFieldMapping'
        cost_rollup:
          type: boolean
        traversal_enabled:
          type: boolean
        description:
          type: string
        child_product:
          type: string
        child_event:
          type: string
        child_record_type:
          type: string
    ParentRelationshipInfo:
      type: object
      required:
        - relationship_type
        - via
        - cost_rollup
        - traversal_enabled
        - description
        - parent_product
        - parent_event
        - parent_record_type
      properties:
        relationship_type:
          type: string
        via:
          $ref: '#/components/schemas/MetadataFieldMapping'
        cost_rollup:
          type: boolean
        traversal_enabled:
          type: boolean
        description:
          type: string
        parent_product:
          type: string
        parent_event:
          type: string
        parent_record_type:
          type: string
    MetadataFieldMapping:
      type: object
      required:
        - local_field
        - parent_field
      properties:
        local_field:
          type: string
        parent_field:
          type: string
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````